Skip to main content
`Ctrl`+`K`

# skbio.util.overrides

skbio.util.overrides(interface_class)

  Indicate that a member is being overridden from a specific parent class.

  Decorator for class-level members. Used to indicate that a member is being overridden from a specific parent class. If the member does not have a docstring, it will pull one from the parent class. When chaining decorators, this should be first as it is relatively nondestructive.

  Parameters:
    interface_class class

      The class which has a member overridden by the decorated member.

  Returns:
    function

      The function is not changed or replaced.

  Raises:
    OverrideError

      If the interface_class does not possess a member of the same name as the decorated member.